# @(#)string-results.tcl	1.5  12/23/97
# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 


# ASP set the TCL variables to something to allow debugging with wish
# set summary {Who did you vote for?}
# set question {Who did you vote for in the last federal election.  What were your reasons for \
# voting for this person?  Would you vote that way again?}
# set default_font {-*-helvetica-medium-r-normal-*-12-*-iso8859-1}


# display the results in text format

toplevel .textmain
wm title .textmain "$summary"

label .textmain.topic \
   -text "$summary" \
   -fg blue
pack .textmain.topic   

message .textmain.question \
   -text "$question" \
   -justify  "left" \
   -width  "300" \
   -relief  "sunken"
 pack .textmain.question


# create a frame for the results window

frame .textmain.resultsframe \
   -borderwidth  2 \
   -relief  "flat"
pack .textmain.resultsframe -expand yes -fill both

text .textmain.resultsframe.textwin \
   -width 50 \
   -height 30 \
   -yscrollcommand ".textmain.resultsframe.scroll set" \
   -wrap "word" 

scrollbar .textmain.resultsframe.scroll \
   -orient vertical \
   -command ".textmain.resultsframe.textwin yview"
   
pack .textmain.resultsframe.scroll -side right -fill y
pack .textmain.resultsframe.textwin -expand yes -fill both


# the buttons at the bottom

frame .textmain.bottomframe 
pack .textmain.bottomframe -side bottom -pady  2 -fill x

button .textmain.bottomframe.dismiss \
   -text  "Dismiss" \
    -command {destroy .textmain}
pack .textmain.bottomframe.dismiss -side right


button .textmain.bottomframe.help \
   -text  "Help" \
    -command {helpme string-results}
pack .textmain.bottomframe.help -side right

button .textmain.bottomframe.update \
   -text  "Update" \
    -command {tcl_update_string_results}
pack .textmain.bottomframe.update -side right




