# @(#)textcreate.tcl	1.5  97/12/23

# Copyright (c) Communications Research Centre, Government of Canada 1997. 
# All rights reserved.
# 
# License is granted to copy and use this software, for research and
# evaluation purposes, provided that the Communications Research Centre
# is acknowledged in all documentation pertaining to any such copy or
# use. The Communications Research Centre grants no other licenses
# expressed or implied. Title, ownership rights, and intellectual
# property rights in the software shall remain with the Communications
# Research Centre.  The Centre's name and the Government of Canada
# should not be used in any advertising without written permission.
# 
# THE COMMUNICATIONS RESEARCH CENTRE MAKES NO REPRESENTATIONS CONCERNING
# EITHER THE MERCHANTABILITY OF THIS SOFTWARE OR THE SUITABILITY OF
# THIS SOFTWARE FOR ANY PARTICULAR PURPOSE.  The software is provided
# "as is" without express or implied warranty of any kind.
# 
# These notices must be retained in any copies of any part of this
# software.
# 

proc forceLen {len name el op} {
  global $name ${name}_len
  if [string comp $el {}] {
    set old  ${name}_len\($el)
    set name $name\($el)
  } else { set old ${name}_len }
  if {[string length [set $name]] > $len} {
    set $name [set $old]
    bell; return
  }
  set $old [set $name]
}

# the interface to create new questions

toplevel .cmain
wm title .cmain "$theme"

label .cmain.title \
   -text "Create a Question for: $theme" \
   -fg "blue" 
pack .cmain.title

frame .cmain.entryframe
pack .cmain.entryframe -padx 10

frame .cmain.entryframe.topicframe
pack .cmain.entryframe.topicframe -pady 0 -anchor "w"

label .cmain.entryframe.topicframe.topicprompt \
   -text "Topic (40 characters max): " 
pack .cmain.entryframe.topicframe.topicprompt -side "top" -anchor w

set summary {}
entry .cmain.entryframe.topicframe.topicentry \
   -width 40 \
   -textvariable "summary" 
pack .cmain.entryframe.topicframe.topicentry -side "left"
trace variable summary w {forceLen 40}
set summary {}

frame .cmain.entryframe.qframe
pack .cmain.entryframe.qframe -anchor w

label .cmain.entryframe.qframe.qprompt \
   -text "Poll Question: " 
pack .cmain.entryframe.qframe.qprompt -side "top" -anchor "w"

text .cmain.entryframe.qframe.textwin \
   -width 40 \
   -height 10 \
   -wrap "word" 
pack .cmain.entryframe.qframe.textwin -side "top"

label .cmain.entryframe.resplabel \
   -text "Users will enter a text response." 
pack .cmain.entryframe.resplabel -side top -pady 1

set type "text"

# the question parms

frame .cmain.entryframe.decayframe
pack .cmain.entryframe.decayframe -pady 1 -fill x

label .cmain.entryframe.decayframe.decaylabel \
   -text "Response Life Time (min): " 
pack .cmain.entryframe.decayframe.decaylabel -side "left" -anchor w

entry .cmain.entryframe.decayframe.decayentry \
   -width 5 \
   -textvariable "decaytime" 
pack .cmain.entryframe.decayframe.decayentry -side "left"

.cmain.entryframe.decayframe.decayentry delete 0 end
.cmain.entryframe.decayframe.decayentry insert 0 "0"


# remind time functions should be added later -- ASP

# label .cmain.entryframe.decayframe.remlabel \
#    -text "Remind Interval Time (min): " 
# pack .cmain.entryframe.decayframe.remlabel -side "left"
# 
# entry .cmain.entryframe.decayframe.rementry \
#    -width 5 \
#    -textvariable "remindtime" 
# pack .cmain.entryframe.decayframe.rementry -side "left"

# .cmain.entryframe.decayframe.rementry delete 0 end
# .cmain.entryframe.decayframe.rementry insert 0 "0"



# the buttons at the bottom

frame .cmain.bottomframe
pack .cmain.bottomframe -side "bottom"  -fill  "x" -pady 5

button .cmain.bottomframe.create \
   -text "Create Question" \
   -command addq
pack .cmain.bottomframe.create -side  "left"

button .cmain.bottomframe.dismiss \
   -text "Dismiss" \
   -command {destroy .cmain}
pack .cmain.bottomframe.dismiss -side  "right"

button .cmain.bottomframe.help \
   -text  "Help" \
    -command {helpme create}
pack .cmain.bottomframe.help -side right






